Bug 1582346 (CVE-2018-10840)

Summary: CVE-2018-10840 kernel: Heap-based buffer overflow in fs/ext4/xattr.c:ext4_xattr_set_entry() with crafted ext4 image
Product: [Other] Security Response Reporter: Sam Fowler <sfowler>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: airlied, aquini, bhu, blc, bskeggs, dhoward, ewk, fhrbata, hdegoede, hkrzesin, hwkernel-mgr, iboverma, ichavero, itamar, jarodwilson, jforbes, jglisse, jkacur, john.j5live, jonathan, josef, jross, jwboyer, kernel-maint, kernel-mgr, labbott, lgoncalv, linville, matt, mchehab, mcressma, mjg59, mlangsdo, nmurray, plougher, rt-maint, rvrbovsk, skozina, slawomir, steved, vdronov, williams, yozone
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20180411,reported=20180525,source=upstream,cvss3=5.2/CVSS:3.0/AV:P/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:H,cwe=CWE-122,rhel-5/kernel=affected,rhel-6/kernel=affected,rhel-7/kernel=affected,rhel-8/kernel=notaffected,rhel-7/kernel-rt=affected,mrg-2/realtime-kernel=affected,rhel-alt-7/kernel-alt=affected,fedora-all/kernel=affected
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
The Linux kernel is vulnerable to a heap-based buffer overflow in the fs/ext4/xattr.c:ext4_xattr_set_entry() function. An attacker could exploit this by operating on a mounted crafted ext4 image.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:26:32 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1584988, 1582347, 1582348, 1584985, 1584986, 1584987, 1584989, 1584990    
Bug Blocks: 1582351    

Description Sam Fowler 2018-05-25 00:40:54 UTC
The Linux kernel is vulnerable to a heap-based buffer overflow in the fs/ext4/xattr.c:ext4_xattr_set_entry() function. An attacker could exploit this by operating on a mounted crafted ext4 image.


Upstream bug:

https://bugzilla.kernel.org/show_bug.cgi?id=199347


Upstream patch:

https://bugzilla.kernel.org/attachment.cgi?id=276147&action=diff

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=8a2b307c21d4b290e3cbe33f768f194286d07c23

Comment 1 Sam Fowler 2018-05-25 00:42:16 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1582348]

Comment 6 errata-xmlrpc 2019-01-29 18:30:22 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:0162 https://access.redhat.com/errata/RHSA-2019:0162